Summary: Support libraries for Mr. Project
Name: libmrproject
Version: 0.9
Release: 5.XOS.1
URL: http://www.codefactory.se/
Source0: %{name}-%{version}.tar.gz
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk2 >= 2.0
Requires: libgsf
BuildRequires: libgsf-devel
Patch: libmrproject-0.9-critical-path.patch
%description
A support library for accessing Mr. Project data.

%package devel
Summary:	The files needed for libmrproject application development.
Group: 		Development/Libraries
Requires:	%name = %{PACKAGE_VERSION}
Requires:	gtk+-devel

%description devel
The libmrproject-devel package contains the necessary include files
for developing applications that access Mr. Project data


%prep
%setup -q
%patch -p1 -b .critical-path

%build

%configure --enable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall MRP_STORAGEMODULEDIR=$RPM_BUILD_ROOT/%{_libdir}/mrproject/storage-modules

# remove this, we aren't shipping it
rm -f $RPM_BUILD_ROOT%{_libdir}/libmrproject.la
rm -f $RPM_BUILD_ROOT%{_libdir}/mrproject/*/*la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog NEWS README COPYING
%{_libdir}/lib*.so.*
%{_libdir}/mrproject
%{_datadir}/mrproject/*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/mrproject-1.0
%{_datadir}/gtk-doc/html/libmrproject/

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 0.9-5.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on libmrproject-0.9-5.src.rpm
  (md5sum of original source rpm: 35a98f01dd1902945232bb380480a7e5).

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 21 2003 Jonathan Blandford <jrb@redhat.com> 0.9-3
- move data files from the devel package to the normal package, #84823

* Mon Feb 17 2003 Jonathan Blandford <jrb@redhat.com> 0.9-1
- new version
- remove duplicate files, #83910

* Mon Jan 27 2003 Jonathan Blandford <jrb@redhat.com>
- new version

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan  3 2003 Jonathan Blandford <jrb@redhat.com>
- remove .a files
- fix typo, #75866

* Thu Jan  2 2003 Jonathan Blandford <jrb@redhat.com>
- bumped to new version

* Tue Nov 19 2002 Tim Powers <timp@redhat.com>
- lib64'ize
- remove lingering files in $RPM_BUILD_ROOT we aren't including in the
  built package

* Wed Aug 14 2002 Jonathan Blandford <jrb@redhat.com>
- New bug fix version

* Tue Aug  6 2002 Jonathan Blandford <jrb@redhat.com>
- new version.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 29 2002 Jonathan Blandford <jrb@redhat.com>
- Initial build.


